Page MenuHomePhabricator

Install Extension EducationProgram on en.wikiversity
Closed, DeclinedPublic

Description

Please see here for discussion reaching consensus.

Thanks

This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

This proposal received 4 support votes, and was ranked #89 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Wikiversity#Installing_Wiki_Edu.27s_Course_Dashboards_on_Wikiversity

Event Timeline

Leutha created this task.Sep 6 2015, 10:12 AM
Leutha assigned this task to AKoval_WMF.
Leutha raised the priority of this task from to Normal.
Leutha updated the task description. (Show Details)
Leutha moved this task to To deploy on the Wikimedia-Extension-setup board.
Leutha added a subscriber: Leutha.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2015, 10:12 AM
MarcoAurelio renamed this task from en Wikiversity education extension to Install Extension EducationProgram on en.wikiversity.Sep 6 2015, 1:52 PM
MarcoAurelio removed AKoval_WMF as the assignee of this task.
MarcoAurelio moved this task from To deploy to Working on on the Wikimedia-Extension-setup board.
MarcoAurelio set Security to None.

Will work on the gerrit patch, but as said at other bug requesting the same actions, further DB changes need to be performed so the extension works in your project. That's for @thcipriani to work I guess. Best regards.

Change 236418 had a related patch set uploaded (by MarcoAurelio):
Enable Extension:EducationProgram on enwikiversity

https://gerrit.wikimedia.org/r/236418

Krenair added a subtask: Restricted Task.Sep 12 2015, 8:01 PM

Thanks, @MarcoAurelio.

@thcipriani, can you please approximate how long this might take? Thank you for your help. It is very much appreciated.

Are you two just sort of assigning this to @thcipriani without asking him?

Are you two just sort of assigning this to @thcipriani without asking him?

No. I just mentioned Tyler since @AKoval_WMF did so at T110619#1599223 thinking that he was the one in charge for that.

Krenair added a subtask: Restricted Task.Sep 16 2015, 3:57 PM
Krenair added a subtask: Restricted Task.Sep 16 2015, 4:49 PM

Change 236418 abandoned by MarcoAurelio:
Enable Extension:EducationProgram on enwikiversity

Reason:
Per Alexander. This should not be deployed to more wikis until all the security issues that this extension have are resolved; which IMHO is unlikely to happen. We can restore this change later if such miracle happen.

https://gerrit.wikimedia.org/r/236418

Krenair changed the task status from Open to Stalled.Sep 28 2015, 11:19 AM
Krenair removed a project: Patch-For-Review.
Mu301 added a subscriber: Mu301.Dec 25 2015, 2:11 PM
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on #Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 21 2016, 2:52 PM
Elitre added a subscriber: Elitre.Jan 22 2016, 11:54 AM
DannyH updated the task description. (Show Details)Feb 6 2016, 12:30 AM
Abit added a subscriber: Abit.Apr 3 2016, 9:32 AM
Mvolz added a subscriber: Mvolz.
Krenair added a subtask: Restricted Task.Oct 22 2016, 5:45 PM
Reedy closed subtask Restricted Task as Declined.Sep 25 2018, 11:09 PM
Reedy closed subtask Restricted Task as Declined.
Reedy closed this task as Declined.Sep 25 2018, 11:11 PM
Reedy closed subtask Restricted Task as Declined.
Reedy added a subscriber: Reedy.

Extension is being removed and archived.

Reedy closed subtask Restricted Task as Declined.Sep 25 2018, 11:11 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 25 2018, 11:11 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald Transcript